%define module	NetAddr-IP
%define	name	perl-%{module}
%define	version	3.21
%define	release	1mdk

Summary:	%{module} - Manages IPv4 and IPv6 addresses and subnets
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Development/Perl
License:	Artistic
Url:		http://www.cpan.org/
Source0:	http://search.cpan.org/CPAN/authors/id/L/LU/LUISMUNOZ/%{module}-%{version}.tar.bz2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides an object-oriented abstraction on top of IP
addresses or IP subnets, that allows for easy manipulations. Many
operations are supported, as described below:

use NetAddr::IP;
my $ip = new NetAddr::IP 'loopback';
print "The address is ", $ip->addr, " with mask ", $ip->mask, "\n" ;
if ($ip->within(new NetAddr::IP "127.0.0.0", "255.0.0.0")) {
print "Is a loopback address\n";
}
# This prints 127.0.0.1/32
print "You can also say $ip...\n";

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL  INSTALLDIRS=vendor
%make 
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{perl_vendorlib}/NetAddr
%{perl_vendorlib}/NetAddr/IP.pm
%{_mandir}/man3/*

%changelog
* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.21-1mdk
- 3.21

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.20-1mdk
- Initial mdk release
